#ifndef LOQWINDOWTITLEBAR_H
#define LOQWINDOWTITLEBAR_H

#include <LoQClass/loqtitlebar.h>
#include <QLabel>
#include <QPixmap>
#include <QHBoxLayout>

class LoQWindowTitleBar : public LoQTitleBar
{
    Q_OBJECT
public:
    explicit LoQWindowTitleBar(QWidget *parent = nullptr);
    LoQWindowTitleBar(const QString &text, QWidget *parent = nullptr);
    LoQWindowTitleBar(const QPixmap &icon, const QString &text, QWidget *parent = nullptr);
    void RenameTitle(QString strName);

signals:

public slots:

private:
    QLabel *m_wIcon;
    QLabel *m_wText;
};

#endif // LOQWINDOWTITLEBAR_H
